NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_sleep(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_sleep - Sleep for a specified number of seconds

## Table Of Contents

## Synopsis

- ns_sleep seconds

## Description

Sleeps for the number of seconds specified in seconds.

## COMMANDS

ns_sleep seconds

  seconds The value of seconds should be a positive integer (or zero, in which case the function returns immediately). An error will result if seconds is not specified, if a negative integer is specified, or if a non-integer is specified.

## EXAMPLES

       % ns_sleep 2

## See Also

nsd